Welcome to mirror list, hosted at ThFree Co, Russian Federation.

cygwin.com/git/newlib-cygwin.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'winsup/doc')
-rw-r--r--winsup/doc/ChangeLog5
-rw-r--r--winsup/doc/faq-programming.xml38
-rw-r--r--winsup/doc/faq-what.xml8
3 files changed, 35 insertions, 16 deletions
diff --git a/winsup/doc/ChangeLog b/winsup/doc/ChangeLog
index aaea9c0be..21df88086 100644
--- a/winsup/doc/ChangeLog
+++ b/winsup/doc/ChangeLog
@@ -1,3 +1,8 @@
+2005-10-02 Joshua Daniel Franklin <joshuadfranklin@yahoo.com>
+
+ * faq-what.xml: Add 2003 and WOW64 to "supported" FAQ.
+ * faq-programming.xml: Fix cygexec FAQ, building link.
+
2005-09-25 Joshua Daniel Franklin <joshuadfranklin@yahoo.com>
* faq.xml: Remove copyright section, link to license.html
diff --git a/winsup/doc/faq-programming.xml b/winsup/doc/faq-programming.xml
index 7cc6e4493..af08be354 100644
--- a/winsup/doc/faq-programming.xml
+++ b/winsup/doc/faq-programming.xml
@@ -76,7 +76,8 @@ main GCC distribution, anyway.
<para>First of all, if you are using <literal>make -j[N]</literal>, then stop. It doesn't
work well. Also beware of using non-portable shell features in your
-Makefiles (see tips at <ulink url="http://cygwin.com/faq/faq_3.html#SEC46">http://cygwin.com/faq/faq_3.html#SEC46</ulink>).
+Makefiles (see tips at <ulink
+url="http://cygwin.com/faq/faq.using.html#faq.using.shell-scripts" />).
</para>
<para>Errors of <literal>make: execvp: /bin/sh: Illegal Argument</literal> or
<literal>make: execvp: /bin/sh: Argument list too long</literal> are often
@@ -91,17 +92,28 @@ the command-line limit. To enable cygexec for <literal>/bin</literal> and
<screen>
mount -X -b -f c:\cygwin\bin /bin
mount -X -b -f c:\cygwin\bin /usr/bin
-mount -x -b -f c:\cygwin\bin\strace.exe /usr/bin/strace.exe
-mount -x -b -f c:\cygwin\bin\strace.exe /bin/strace.exe
-mount -x -b -f c:\cygwin\bin\cygcheck.exe /usr/bin/cygcheck.exe
-mount -x -b -f c:\cygwin\bin\cygcheck.exe /bin/cygcheck.exe
+mount -x -b -f c:\cygwin\bin\tclsh84.exe /usr/bin/tclsh84.exe
+mount -x -b -f c:\cygwin\bin\tclsh84.exe /bin/tclsh84.exe
+mount -x -b -f c:\cygwin\bin\wish84.exe /usr/bin/wish84.exe
+mount -x -b -f c:\cygwin\bin\wish84.exe /bin/wish84.exe
</screen>
-<para>Note that you must specifically exclude <literal>strace</literal> and <literal>cygcheck</literal>,
-which are not linked to the Cygwin DLL.
+<para>Note that if you have Tcl/Tk installed, you must specifically exclude
+<literal>tclsh84</literal> and <literal>wish84</literal>, which are linked
+to the Cygwin DLL but are not actually Cygwin programs. If you have added
+other non-Cygwin programs to a path you want to mount cygexec, you can find
+them with a script like this:
</para>
-<para>(See <ulink url="http://www.cygwin.com/cygwin-ug-net/using-utils.html#mount">http://www.cygwin.com/cygwin-ug-net/using-utils.html#mount</ulink>
-for more information.)
+<screen>
+#!/bin/sh
+cd /bin; for f in `find . -type f -name '*.exe'`; do
+ cygcheck $f | (fgrep -qi cygwin1.dll || echo $f)
+done
+</screen>
+
+<para>
+See <ulink url="http://www.cygwin.com/cygwin-ug-net/using-utils.html#mount" />
+for more information on using mount.
</para>
</answer></qandaentry>
@@ -464,12 +476,12 @@ same time. Remove all but one.
symbols that you see in gdb are basically meaningless. It is also a good
idea to use the latest code in case the bug has been fixed, so we
recommend trying the latest snapshot from
-<ulink url="http://cygwin.com/snapshots/">http://cygwin.com/snapshots/</ulink> or build the DLL from CVS.
+<ulink url="http://cygwin.com/snapshots/" /> or building the DLL from CVS.
</para>
<para>To build a debugging version of the Cygwin DLL, you will need to follow
-the instructions at <ulink url="http://cygwin.com/faq/faq_3.html#SEC102">http://cygwin.com/faq/faq_3.html#SEC102</ulink>. You
-can also contact the mailing list for pointers (a simple test case that
-demonstrates the bug is always welcome).
+the instructions at <ulink url="http://cygwin.com/faq/faq-nochunks.html#faq.programming.building-cygwin" />.
+You can also contact the mailing list for pointers (a simple test case that
+demonstrates the bug is always welcome).
</para>
</answer></qandaentry>
diff --git a/winsup/doc/faq-what.xml b/winsup/doc/faq-what.xml
index af51c6eee..3260abf8e 100644
--- a/winsup/doc/faq-what.xml
+++ b/winsup/doc/faq-what.xml
@@ -26,11 +26,13 @@ standard Windows command shell.
<answer>
<para>Cygwin can be expected to run on all modern 32 bit versions of
-Windows, except Windows CE. This includes Windows 95/98/ME/NT/2000/XP.
+Windows, except Windows CE. This includes Windows 95/98/ME/NT/2000/XP/2003
+and the WOW64 32 bit environment on released 64 bit versions of Windows.
+As far as we know no one is working on a native 64 bit version of Cygwin.
Since Cygwin is a community-supported free software project, patches to
provide support for other versions would be thoughtfully considered.
-Paid support is available through a support contract with Red Hat. For
-information about getting a Red Hat support contract, see
+Paid support contracts or enhancements are available through Red Hat. For
+information about getting a Red Hat support contract, see
<ulink url="http://cygwin.com/license.html" />.
</para>
<para>Keep in mind that Cygwin can only do as much as the underlying OS